Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlOperation

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.OperationConfig>
              com.eviware.soapui.impl.wsdl.WsdlOperation

All Implemented Interfaces:
  Operation, ModelItem, PropertyChangeNotifier

    public class WsdlOperation

extends AbstractWsdlModelItem<com.eviware.soapui.config.OperationConfig>
implements Operation

WSDL implementation of Operation, maps to a WSDL BindingOperation

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static org.apache.log4j.Logger` | `log`
`static java.lang.String` | `STYLE_DOCUMENT`
`static java.lang.String` | `STYLE_RPC`

Fields inherited from interface com.eviware.soapui.model.iface.Operation
`ACTION_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlOperation(WsdlInterface iface, com.eviware.soapui.config.OperationConfig operationConfig)`

Method Summary
`WsdlRequest` | `addNewRequest(java.lang.String name)`
`java.lang.String` | `createRequest(boolean buildOptional)`
`java.lang.String` | `createResponse(boolean buildOptional)`
`javax.wsdl.BindingOperation` | `findBindingOperation(javax.wsdl.Definition definition)`
`java.lang.String` | `getAction()`
`javax.wsdl.BindingOperation` | `getBindingOperation()`
`java.lang.String` | `getBindingOperationName()`
`MessagePart[]` | `getDefaultRequestParts()`
`MessagePart[]` | `getDefaultResponseParts()`
`MessagePart[]` | `getFaultParts()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getInputName()`
`WsdlInterface` | `getInterface()`
`java.lang.String` | `getOutputName()`
`boolean` | `getReceivesAttachments()`
`WsdlRequest` | `getRequestAt(int index)`
`javax.xml.namespace.QName` | `getRequestBodyElementQName()`
`WsdlRequest` | `getRequestByName(java.lang.String requestName)`
`int` | `getRequestCount()`
`java.util.List<Request>` | `getRequests()`
`javax.xml.namespace.QName` | `getResponseBodyElementQName()`
`boolean` | `getSendsAttachments()`
`java.lang.String` | `getStyle()`
`void` | `initFromBindingOperation(javax.wsdl.BindingOperation operation, boolean notifyUpdate)`
`boolean` | `isOneWay()`
`void` | `onSave()`
`void` | `release()`
`void` | `removeRequest(WsdlRequest request)`
`void` | `setAction(java.lang.String soapAction)`
`void` | `setBindingOperationName(java.lang.String name)`
`void` | `setInputName(java.lang.String name)`
`void` | `setOneWay(boolean isOneWay)`
`void` | `setOutputName(java.lang.String name)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### STYLE_DOCUMENT

    public static final java.lang.String STYLE_DOCUMENT

See Also:
  Constant Field Values

### STYLE_RPC

    public static final java.lang.String STYLE_RPC

See Also:
  Constant Field Values

### log

    public static final org.apache.log4j.Logger log

Constructor Detail

### WsdlOperation

    public WsdlOperation(WsdlInterface iface,
                         com.eviware.soapui.config.OperationConfig operationConfig)

Method Detail

### getAction

    public java.lang.String getAction()

  Specified by:
    `getAction` in interface `Operation`

### getRequestAt

    public WsdlRequest getRequestAt(int index)

  Specified by:
    `getRequestAt` in interface `Operation`

### getRequestByName

    public WsdlRequest getRequestByName(java.lang.String requestName)

  Specified by:
    `getRequestByName` in interface `Operation`

### getRequestCount

    public int getRequestCount()

  Specified by:
    `getRequestCount` in interface `Operation`

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `AbstractWsdlModelItem<com.eviware.soapui.config.OperationConfig>`

### addNewRequest

    public WsdlRequest addNewRequest(java.lang.String name)

### getInterface

    public WsdlInterface getInterface()

  Specified by:
    `getInterface` in interface `Operation`

### setAction

    public void setAction(java.lang.String soapAction)

### createRequest

    public java.lang.String createRequest(boolean buildOptional)

### createResponse

    public java.lang.String createResponse(boolean buildOptional)

### findBindingOperation

    public javax.wsdl.BindingOperation findBindingOperation(javax.wsdl.Definition definition)

### removeRequest

    public void removeRequest(WsdlRequest request)

### getBindingOperationName

    public java.lang.String getBindingOperationName()

### setBindingOperationName

    public void setBindingOperationName(java.lang.String name)

### setInputName

    public void setInputName(java.lang.String name)

### getInputName

    public java.lang.String getInputName()

### setOutputName

    public void setOutputName(java.lang.String name)

### getOutputName

    public java.lang.String getOutputName()

### setOneWay

    public void setOneWay(boolean isOneWay)

### isOneWay

    public boolean isOneWay()

### initFromBindingOperation

    public void initFromBindingOperation(javax.wsdl.BindingOperation operation,
                                         boolean notifyUpdate)

### getReceivesAttachments

    public boolean getReceivesAttachments()

### getSendsAttachments

    public boolean getSendsAttachments()

### getRequestBodyElementQName

    public javax.xml.namespace.QName getRequestBodyElementQName()
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getResponseBodyElementQName

    public javax.xml.namespace.QName getResponseBodyElementQName()
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getStyle

    public java.lang.String getStyle()

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.OperationConfig>`

### getBindingOperation

    public javax.wsdl.BindingOperation getBindingOperation()

### getRequests

    public java.util.List<Request> getRequests()

  Specified by:
    `getRequests` in interface `Operation`

### getDefaultRequestParts

    public MessagePart[] getDefaultRequestParts()

### getDefaultResponseParts

    public MessagePart[] getDefaultResponseParts()

### getFaultParts

    public MessagePart[] getFaultParts()

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.OperationConfig>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.